Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
Toggle table of contents sidebar

# bson_copy_to()

## Synopsis

    void
    bson_copy_to (const bson_t *src, bson_t *dst);

## Parameters

- `src`: A bson_t.

- `dst`: A bson_t.

## Description

The bson_copy_to() function shall initialize `dst` with a copy of the contents of `src`.

`dst` MUST be an uninitialized bson_t to avoid leaking memory.